Name: steam-screensaver-fix
Version: r5.c0f1b3e
Release: 1%{?dist}
Summary: Fix for steam screensaving bug
License: GPLv3
URL: https://gitlab.com/patlefort/steam-screensaver-fix
Source0: %{name}-%{version}.tar.gz
BuildRequires: glibc-devel(x86-32) glibc-devel gcc
Requires: steam
BuildArch: x86_64

%description
Fix for steam screensaving bug.

%prep
%setup -q -n %{name}-master

%global _enable_debug_package 0
%global debug_package %{nil}

%build
gcc $CFLAGS $LDFLAGS -m32 -shared -fPIC -ldl -o 'sdl_block_screensaver_inhibit_lib32.so' "sdl_fix_steam_screensaver.c"

%install
sed -i 's/steam-runtime/steam/' steam-screensaver-fix-runtime
sed -i 's/(Runtime)//' steam-screensaver-fix-runtime.desktop
install -Dm755 'sdl_block_screensaver_inhibit_lib32.so' %{buildroot}%{_prefix}/lib/sdl_block_screensaver_inhibit.so
install -Dm755 'steam_sdl_injection.sh' 'steam-screensaver-fix-runtime' -t %{buildroot}%{_bindir}
install -Dm755 'steam-screensaver-fix-runtime.desktop' %{buildroot}%{_datadir}/applications/steam-screensaver-fix.desktop

%files
%defattr(-,root,root,-)
%{_bindir}/steam-screensaver-fix-runtime
%{_bindir}/steam_sdl_injection.sh
%{_prefix}/lib/sdl_block_screensaver_inhibit.so
%{_datadir}/applications/steam-screensaver-fix.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog 
